Subject: Re: MSVC and dlls: new information
From: [email-masked] (root)

3 Jun 1997 19:25:45 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Steve Shepard)
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Steve Shepard" at Jun 2, 97 07:39:01 pm
Original-Sender: [email-masked]

> 
> The dll's export table does not show up using pedump on both Windows95
> and NT 4.0. It also does not show up using Quick View on Windows95.
> 
> It does, however, show up using Quick View on NT 4.0 or Microsoft's
> "dumpbin" utility. Did Microsoft rev. the dll format? If so, perhaps
> there is something in the cygwin dll that can't handle the newer
> format.
> 

I have discovered that a dll can export functions WITHOUT having an .edata
section.
You can consolidate the .edata section into the .rdata section, if you have
enough space left in that section to accomodate the contents of the .edata
section.
This will save a few bytes in the image size.
To find the exported names you should look at the Virtual address field of
the Nt header->DataDirectory[0]. There you will find the offset within the
..rdata section where the exported names are.

Easy isn't it?

I am trying to fix this for a user of lcc-win32, and I thought somebody
at cygnus would be happy to know this news...

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".